Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #922

Background color of Qt color button is not visible
November 24, 2019 13:10 - Thomas Lange

Status: Closed Start date: November 24, 2019
Priority: Minor Due date:

Assignee: % Done: 0%

Category: libaudqt Estimated time: 0.00 hour

Target version: 4.0

Affects version: 4.0

Description

When selecting a color with our custom color button,
its background color should be set to the selected result.

This does not work for me on Linux.
I'm using the Arc theme, but also tried others - same issue.
Please see the attached screenshots and a proposed patch.

@Ariadne: Since you wrote this code, how does it look on Mac before and after my patch?

History

#1 - November 27, 2019 11:57 - Ariadne Conill

Seems fine to me, go ahead and apply it.

#2 - November 27, 2019 15:35 - John Lindgren

On Linux, it depends on the theme engine -- with Kvantum the button is colored already, but with the GTK2 platform plugin it isn't.

| don't have any better solution to suggest, so +1 from me.

#3 - November 28, 2019 17:21 - Thomas Lange
- Assignee deleted (Ariadne Conill)

- Status changed from New to Resolved

Fixed by https:/github.com/audacious-media-player/audacious/commit/0a2cf712b2b7711d1d757b533f29f0963317¢c218.

#4 - November 29, 2019 21:27 - Thomas Lange

- Status changed from Resolved to Closed
